Jump to content

Kreator

Пользователи
  • Posts

    1,670
  • Joined

  • Last visited

  • Days Won

    102

Posts posted by Kreator

  1. Пробуйте отключить сглаживание. В режиме DirectX (в настройках указывается) попробуйте сменить версию DX командой NCGS_TOGGLE_DIRECTX - на одной из версий работать должно нормально. Драйверы обновить обязательно.

    • Like 1
  2. :offtopic:

    Соглашусь с @EdwardSt - лучше используйте LISP, где это возможно. Скорость, гибкость, более широкие возможности.

    Да, нужно потыкаться, но в сети уже давно всё есть - берите кусками код. Я вот в лисп почти не умею, но по кускам себе собрал кое-что. Вот как у меня выглядит описание команды вставки МТекста:

    Спойлер
    (vl-load-com)
    (defun list->variantArray (ptsList / arraySpace sArray) (setq arraySpace (vlax-make-safearray vlax-vbdouble (cons 0 (- (length ptsList) 1)) ) ) (setq sArray (vlax-safearray-fill arraySpace ptsList)) (vlax-make-variant sArray) )
    (defun PAV_InsMText (iStr iPoint iAng iAlign iWidth iHeight iStyle iColor) (setq doc (vla-get-activedocument (vlax-get-acad-object))) (setq iPoint (list->variantArray (trans iPoint 1 0))) (setq aText (vla-AddMText (vla-get-modelspace doc) iPoint iWidth iStr)) (vlax-put-property aText "Lineweight" acLnWt030) (vlax-put-property aText "Height" iHeight) (vlax-put-property aText "AttachmentPoint" iAlign) (vlax-put-property aText "Rotation" (* pi (/ iAng 180.0))) (vlax-put-property aText "StyleName" iStyle) (vlax-put-property aText "InsertionPoint" iPoint) (vlax-put-property aText "Color" iColor) aText)

     

    Громоздко, но один раз. Использовать просто:

    (PAV_InsMText iStr iPoint iAng iAlign iWidth iHeight iStyle iColor)

    Параметры очевидны - строка, точка, угол, выравнивание, ширина, высота, стиль, цвет.

    Конкретно по выравниванию МТЕКСТа, внутри функции к тексту применяется

    (vlax-put-property aText "AttachmentPoint" iAlign)

    До этого параметру iAlign передано при вызове значение acAttachmentPointMiddleRight acAttachmentPointMiddleCenter. Середина по центру, то бишь.

    Координату iPoint функции передаём в виде списка (там вообще всё в виде списков)

    (list start_x start_y 0)

    В общем, не так сильно сложно разобраться, если очень надо :) Главное - чуть мозг поправить на тему синтаксиса, которого в LISP нет, как сказал один программист :D

    Скобки не после названия функции, а перед. (Название_функции Параметр1 Параметр2 ... ПараметрN), в любой параметр можно также записать функцию (Функция2 Число1 Число2). Всё скобками разделяется.

    Это код из Шкалы - простенького лиспа для автонумерации шкал. Отдельно уже не пользуюсь, код перешёл в более комплексное решение.

    Когда очень надо, ищу что-то рабочее, иду с конца - где вызывается конкретно нужная мне фукнция (в данном случае - вставка МТЕКСТа), смотрю её параметры, упрощаю, если мне не нужно столько параметров каждый раз, оборачиваю в свою более простую функцию и пользуюсь.

    Пардон за оффтоп.

    • Like 1
    • Thanks 1
  3. 20 часов назад, doctorraz сказал:

    Коль администрации форума удобен формат.. сто вопросов-пожеланий в одной теме.. найди ответ если он там был.. Результаты предыдущих стрельб показали, что это как минимум неудобно форумчанам

    Потому что в дополнение к этой свалке у админов и разработчиков есть система регистрации и отработки багов и фич и поиск по ней. А у нас - нет :) Мы айсберг видим только сверху...

    Я тоже за формат одна ошибка/пожелание - одна тема. Хоть что-то найти можно потом.

    добавлено через 2 минуты

    Когда я писал "надо закрыть эту тему", я имел в виду не открыть новую :D

     

     

    • Like 1
    • Thanks 1
  4. 4 часа назад, Михаил_ЛМГТ сказал:

    Бывает, что приходят планировки, где какие-нибудь высотные отметки сделаны как раз таким вот образом. Блок разбили, и вместо тега пишут отметку...

    Наверно лучше было бы не удалять просто, а спрашивать нужно ли преобразовать в текст или удалить.

    BURST спасёт мир атрибуты и значения.

  5. Добавлю, что при замене пути вставленной картинки путь открывает последний использованный. Не идеальное решение, но удобнее, чем для ссылок DWG.

    Благо, давно (даже в Win Explorer) есть кнопка Скопировать путь, которая и выручает.

    • Like 2
  6. Ещё была "особенность", которая не даёт подрезке менять свойства, если выделены оба объекта. Например, цвет или слой не меняется - нужно выделить только контур подрезки.

    • Like 1
  7. Любой ВЭ, кроме прямоугольного не повёрнутого и не подрезанного, будет сопровождаться полилинией. Таков закон джунглей. И хвататься надо за оба объекта во избежание неприятностей. Зеркалить ВЭ - интересное решение :)

    32 минуты назад, doctorraz сказал:

    Там нет главного, хоть они показываются, как два, но манипулировать ими по отдельности не получится (по крайней меречерез UI)

    С другой стороны, можно область подрезки поворачивать без поворота ВЭ. Не знаю, где и как это может пригодиться, но раз уж зеркалирование пригодилось...

    • Like 1
  8. 18 часов назад, Volkov сказал:

    настоятельно рекомендую искать ответы в справке

    Это точно. Ещё можно видосики посмотреть - в динамике подавляющее большинство ежедневных инструментов показано, файлики для практики приложены. Ну и материальчики обучающие полистать там же, вебинары в будущем посмотреть. Времени займёт не много, а эффект без преувеличения колоссальный для новичка. А порой и не для новичка :D И вообще, на канале много всего.

    • Like 1
    • Thanks 2
  9. В 04.12.2022 в 19:12, doctorraz сказал:

    отчего люди имея выноски и таблицы мультикад пользуют эти каличные мультивыноски и таблицы автокад...

    Потому что не всех ещё посадили на NC, а у тех, кого пересадили, есть запасик в терабайт готовых схемок и проектиков, из которых ещё лет ?цать можно копировать, в т.ч. таблички из палочек и текстов :unsmile: МВыноска на этом фоне смотрится не так уж плохо...

    • Like 3
×
×
  • Create New...